/*
 *
 * Copyright(C) OASIS(R) 2010. All Rights Reserved.
 * OASIS trademark, IPR and other policies apply.    
 *   
 */
package org.oasisopen.sca.test;

import org.oasisopen.sca.annotation.Remotable;

/**
 * A test service interface for the JMS operation selector
 *
 */
@Remotable
public interface Service5 {
	
	/**
	 * onMessage method for testing default JMS operation selector.
	 * @param input - input parameter(s) as a String
	 * @return - output data as a String
	 */
	public String onMessage( String input );

	/**
	 * dummy method for testing default JMS operation selector.
	 * @param input - input parameter(s) as a String
	 * @return - output data as a String
	 */
	public String dummy( String input );

}
